Limerence
Chats

List Sessions

List chat sessions for the authenticated user. Excludes share link and integration sessions. Ordered by creation date descending.

GET
/sessions

List chat sessions for the authenticated user. Excludes share link and integration sessions. Ordered by creation date descending.

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/sessions"
[
  {
    "activeStreamId": null,
    "agent": {
      "id": "string",
      "name": "string"
    },
    "agentId": "string",
    "archivedAt": null,
    "automation": null,
    "automationId": null,
    "chat": null,
    "chatId": "string",
    "createdAt": "string",
    "dashboardId": null,
    "id": "string",
    "messageCount": 0,
    "needsReply": true,
    "pinnedAt": null,
    "shareLinkId": null
  }
]
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}